# Class AbstractMethodError

java.lang.Object
java.lang.Throwable
java.lang.Error
java.lang.LinkageError
java.lang.IncompatibleClassChangeError
java.lang.AbstractMethodError

All Implemented Interfaces:
  `Serializable`

public class AbstractMethodError extends IncompatibleClassChangeError
Thrown when an application tries to call an abstract method. Normally, this error is caught by the compiler; this error can only occur at run time if the definition of some class has incompatibly changed since the currently executing method was last compiled.

Since:
  1.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractMethodError()`
  Constructs an `AbstractMethodError` with no detail message.
  `AbstractMethodError(String s)`
  Constructs an `AbstractMethodError` with the specified detail message.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AbstractMethodError

    public AbstractMethodError()
    Constructs an `AbstractMethodError` with no detail message.

  - ### AbstractMethodError

    public AbstractMethodError(String s)
    Constructs an `AbstractMethodError` with the specified detail message.
    Parameters:
      `s` - the detail message.